%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Poisson
% 20 December 2006, Release 1.0
%
% Input:
%
% Output:
%
% Internal Variables:
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function y = poisson(lambda, numSamples)
% generates poisson process
% lambda - rate
% numSmaples - number of elements
sigma = sqrt(1/lambda/2);
x = (sigma*randn(numSamples,1)).^2 + (sigma*randn(numSamples,1)).^2;
y = cumsum(x, 1);
